<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">

<head>
	<meta charset="UTF-8">
	<meta name="viewport"
		content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
		integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<link rel="stylesheet" th:href="@{/css/range.css}" />
	<title>Insurance Management Services</title>
</head>

<body class="banner">
	<script src="/js/shop/range.js"></script>

	<!-- Start navigation bar -->

	<nav class="navbar navbar-expand-lg navbar-dark bg-primary shop-nav">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">
				<img th:src="@{/images/logo.png}" src="../static/images/logo.png" width="auto" height="40"
					class="d-inline-block align-top" alt="" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">

				<ul class="navbar-nav ml-auto text-uppercase">
					<form class="d-flex" type="post">
						<input class="form-control me-2 mt-2" type="search" name="keyword" placeholder="Search"
							aria-label="Search">
						<button class="btn btn-outline-success btn-dark mt-2 mb-2" type="submit">Search</button>
					</form>

					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/profile}" href="#">Profile</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/shop}" href="#">shop</a>
					</li>
					</li>
					<li class="nav-item active">
						<a class="nav-link mt-2" sec:authorize="isAuthenticated()" th:href="@{/logout}"
							href="#">logout</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/cart}" href="#">
							<img th:src="@{/images/cart.png}" width="auto" height="40" class="d-inline-block align-top"
								alt="" />
						</a>
					</li>

				</ul>

			</div>
		</div>
	</nav>

	<!-- Close navigation bar -->

	<!-- showing all policy and according to filter -->

	<div class="container mb-6 shop">
		<div class="row">
			<div class="col-sm-4">
				<h4 class="ml-2">Filter</h4>
				<ul class="list-group">
					<a th:href="@{/shop}">
						<li class="list-group-item list-group-item-primary">All Policies</li>
					</a>
					<div class="dropdown">
						<button class="btn dropdown-toggle list-group-item list-group-item-primary mb-2" type="button"
							id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							Filter-Company
						</button>
						<div class="dropdown-menu">
							<a class="dropdown-item list-group-item list-group-item-primary" href=""
								th:each="Company, iStat : ${policies}"
								th:href="@{/shop/Company/{id}(id=${Company.id})}" th:text="${Company.name}">
							</a>
						</div>
					</div>

				</ul>
				<div type="card-body mt-2" style="background-color: white;">
					<form mehtod="get">
						<h3 class="mb-3 col-sm-1">Amount</h3>
						<div class="middle">
							<div class="multi-range-slider">
								<input type="range" id="input-left" min="0" max="1000" step="10" value="200"
									onchange="rangePrimary.value=value">
								<input type="range" id="input-right" min="0" max="1000" step="10" value="800"
									onchange="rangeSecondary.value=value">

								<div class="slider">
									<div class="track"></div>
									<div class="range"></div>
									<div class="thumb left"></div>
									<div class="thumb right"></div>
								</div>
								<br>
								<div>
									<span><input type="text" maxlength="4" size="6" id="rangePrimary"
											name="min" /></span><span>to</span><input type="text" maxlength="4" size="6"
										id="rangeSecondary" name="max" /><span></span>
								</div>
								</br>
								<button class="btn btn-primary text-white ml-4" type="submit"
									id="filter">Filter</button>
							</div>
						</div>
					</form>
				</div>

			</div>
			<div class="col-sm-8">
				<div>
					<h2 th:text="${name}"></h2>
				</div>
				<div class="card text-white bg-dark border-danger" style="margin-top: 20px"
					th:each="policy : ${policies}">
					<div class="row no-gutters">
						<div class="col-sm-5 d-flex justify-content-center">
							<img class="" height="150px" width="150px"
								th:src="@{${'/policyImages/' + policy.imageName}}" th:alt="${policy.name}">
						</div>
						<div class="col-sm-7 d-flex justify-content-center">
							<div class="card-body ">
								<h5 class="card-title" th:text="${policy.name}"></h5>
								<h4>₹ <span th:text="${policy.price}"></span></h4>
								<p th:text="${policy.description}"></p>
								<a href="#" th:href="@{/shop/viewpolicy/{id}(id=${policy.id})}"
									class="btn btn-primary">View Policy</a>
							</div>
						</div>
					</div>
				</div>
				<div>
					<h2 th:text="${keyword}"></h2>
				</div>
				<div class="card text-white bg-dark border-danger" style="margin-top: 20px"
					th:each="policy : ${listPolicies}">
					<div class="row no-gutters">
						<div class="col-sm-5 d-flex justify-content-center">
							<img class="" height="150px" width="150px"
								th:src="@{${'/policyImages/' + policy.imageName}}" th:alt="${policy.name}">
						</div>
						<div class="col-sm-7 d-flex justify-content-center">
							<div class="card-body ">
								<h5 class="card-title" th:text="${policy.name}"></h5>
								<h4>₹ <span th:text="${policy.price}"></span></h4>
								<p th:text="${policy.description}"></p>
								<a href="#" th:href="@{/shop/viewpolicy/{id}(id=${policy.id})}"
									class="btn btn-primary">View Policy</a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<!-- close -->
	<script src="/js/shop/range.js"></script>
	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
		integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
		crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>
</body>

</html>